%define name lemmingchat
%define version 0.0.7
%define release 1
%define prefix /usr

Summary: Lemmingchat Support Client

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
License: GPL
Requires:

Url: http://www.gtnorthern.demon.co.uk/packages

Source: http://www.gtnorthern.demon.co.uk/packages/lemmingchat-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
LemmingChat allows users to connect to the free source of assistance available at #lemmings on irc.freenode.net, at a click of the Ximian Help Icon.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%post
if [ -f '%{prefix}/bin/monkeytalk' ]; then      \
	echo 'Saving existing Monkeytalk installation.'; \
	mv %{prefix}/bin/monkeytalk %{prefix}/bin/monkeytalk.old; \
fi
ln -sf %{prefix}/bin/lemmingchat %{prefix}/bin/monkeytalk

%postun
if [ -f '%{prefix}/bin/monkeytalk.old' ]; then      \
	echo 'Restoring saved Monkeytalk installation.'; \
	mv %{prefix}/bin/monkeytalk.old %{prefix}/bin/monkeytalk; \
fi


%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%attr(755,root,root) %{prefix}/bin/lemmingchat
%{prefix}/share/gnome/apps/Utilities/lemmingchat.desktop
%{prefix}/share/lemmingchat/*
%{prefix}/share/pixmaps/lemmingchat.png

%clean
rm -r $RPM_BUILD_ROOT
